org.apache.fontbox.cff

## Class CharStringCommand

- java.lang.Object
- - org.apache.fontbox.cff.CharStringCommand

    public class CharStringCommand
    extends Object

This class represents a CharStringCommand.

Author:
  Villu Ruusmann

### Nested Class Summary

Nested Classes
`static class` `CharStringCommand.Key`
`static class` `CharStringCommand.Type1KeyWord` Enum of all valid type1 key words
`static class` `CharStringCommand.Type2KeyWord` Enum of all valid type2 key words

### Field Summary

Fields
`static CharStringCommand` `COMMAND_CALLOTHERSUBR`
`static CharStringCommand` `COMMAND_CLOSEPATH`
`static CharStringCommand` `COMMAND_DIV`
`static CharStringCommand` `COMMAND_HLINETO`
`static CharStringCommand` `COMMAND_HSBW`
`static CharStringCommand` `COMMAND_RLINETO`
`static CharStringCommand` `COMMAND_RRCURVETO`
`static CharStringCommand` `COMMAND_VLINETO`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `equals(Object object)`
`static CharStringCommand` `getInstance(int b0)` Get an instance of the CharStringCommand represented by the given value.
`static CharStringCommand` `getInstance(int[] values)` Get an instance of the CharStringCommand represented by the given array.
`static CharStringCommand` `getInstance(int b0, int b1)` Get an instance of the CharStringCommand represented by the given two values.
`CharStringCommand.Type1KeyWord` `getType1KeyWord()` Return the underlying type1 key word.
`CharStringCommand.Type2KeyWord` `getType2KeyWord()` Return the underlying type2 key word.
`int` `hashCode()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### COMMAND_CLOSEPATH

    public static final CharStringCommand COMMAND_CLOSEPATH

#### COMMAND_RLINETO

    public static final CharStringCommand COMMAND_RLINETO

#### COMMAND_HLINETO

    public static final CharStringCommand COMMAND_HLINETO

#### COMMAND_VLINETO

    public static final CharStringCommand COMMAND_VLINETO

#### COMMAND_RRCURVETO

    public static final CharStringCommand COMMAND_RRCURVETO

#### COMMAND_HSBW

    public static final CharStringCommand COMMAND_HSBW

#### COMMAND_CALLOTHERSUBR

    public static final CharStringCommand COMMAND_CALLOTHERSUBR

#### COMMAND_DIV

    public static final CharStringCommand COMMAND_DIV

### Method Detail

#### getInstance

    public static CharStringCommand getInstance(int b0)

Get an instance of the CharStringCommand represented by the given value.

Parameters:
  `b0` - value
Returns:
  CharStringCommand represented by the given value

#### getInstance

    public static CharStringCommand getInstance(int b0,
                                                int b1)

Get an instance of the CharStringCommand represented by the given two values.

Parameters:
  `b0` - value1
  `b1` - value2
Returns:
  CharStringCommand represented by the given two values

#### getInstance

    public static CharStringCommand getInstance(int[] values)

Get an instance of the CharStringCommand represented by the given array.

Parameters:
  `values` - array of values
Returns:
  CharStringCommand represented by the given values

#### getType1KeyWord

    public CharStringCommand.Type1KeyWord getType1KeyWord()

Return the underlying type1 key word.

Returns:
  the type1 key word

#### getType2KeyWord

    public CharStringCommand.Type2KeyWord getType2KeyWord()

Return the underlying type2 key word.

Returns:
  the type2 key word

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### equals

    public boolean equals(Object object)

Overrides:
  `equals` in class `Object`